Bug 137822 - CAN-2004-1057 VM_IO refcount issue
Summary: CAN-2004-1057 VM_IO refcount issue
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: ia64 Linux
medium
low
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,public=20041101
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-01 20:19 UTC by Josh Bressers
Modified: 2013-08-06 01:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 15:41:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:017 normal SHIPPED_LIVE Important: kernel security update 2005-01-21 05:00:00 UTC

Description Josh Bressers 2004-11-01 20:19:57 UTC
Alan Cox told vendor-sec the kernel policy on page locking allows DMA
to and from freed kernel pages/panic kernels because PG_Reserved pages
are not refcounted, but some kernel space gets remapped as driver
buffers.  Known to affect OSS audio, video, usb perhaps.

I'm marking this private for now.

See attachment 106045 [details] for the patch taken from 

http://www.kernel.org/pub/linux/kernel/people/andrea/kernels/v2.4/2.4.23aa3/00_VM_IO-4

Comment 1 Jim Paradis 2004-11-05 22:49:00 UTC
I believe this should be slated for U7

Comment 2 Jim Paradis 2004-12-21 19:13:24 UTC
This patch has just been committed to the RHEL2.1 E7 patch pool (in
kernel version 2.4.18-e.53)

Comment 3 Josh Bressers 2005-01-21 15:41:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-017.html



Note You need to log in before you can comment on or make changes to this bug.